Yii Framework Forum: Build installation problem - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Build installation problem Rate Topic: -----

#1 User is offline   mocapapa 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 424
  • Joined: 04-January 09
  • Location:Tokyo, JAPAN

Posted 01 November 2010 - 06:38 AM

Though this is not appropriate place to ask PEAR related issues, I was faced to the problem during 'build' command of Yii.

According to the README, I issued following command, and I saw following error message.

$ ./build  message ../framework/messages/config.php
PHP Warning:  require_once(PHPUnit/Runner/Version.php): failed to open stream: No such file or directory in /var/www/html/yii/build/build on line 16
PHP Fatal error:  require_once(): Failed opening required 'PHPUnit/Runner/Version.php' (include_path='.:/usr/share/pear:/usr/share/php') in /var/www/html/yii/build/build on line 16


It seemed to me that PEAR/PHPUnit is not installed, but it might be installed correctly.

$ pear install PHPUnit
pear/PHPUnit is already installed and is the same as the released version 1.3.2
install failed


Does anybody out there know how to do 'build'?


Thanks in advance.
0

#2 User is offline   Maurizio Domba Cerin 

  • Yii - Yesss It Is !!!
  • Yii
  • Group: Yii Dev Team
  • Posts: 4,339
  • Joined: 12-October 09
  • Location:Croatia

Posted 01 November 2010 - 07:53 AM

Note that there are two phpunits in pear

With your command "pear install phpunit" you are getting the old one (version 1.3.2)

Try with "pear install phpunit/PHPUnit" - this wlil install the latest version (3.5.3)
Find more about me.... btw. Do you know your WAN IP?
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users